Skip to main content
Retrieve Rates
SEP-31 SEP-38

Query Parameters

type
enum<string>
required

The type of rate requested. If firm, the response must include rate.id and rate.expires_at.

Available options:
indicative,
firm
client_id
string

An identifier for the client application making the request. This ID can be used to offer different fees to different clients.

Client IDs will be the Stellar public key the public key used to authenticate via SEP-10. Anchors must ensure that the public key specified in the request matches a public key known to belong to the sending anchor.

This parameter will only be specified if the client is authenticated via SEP-10. Anchors can define whether or not authentication is required for fetching indicative rates. Firm rates always require authentication.

sell_asset
string
required

The asset the client application will send to the anchor in exchange for buy_asset in Asset Identification Format.

buy_asset
string
required

The asset the that the anchor will send in exchange for sell_asset in Asset Identification Format.

sell_amount
string

The amount of sell_asset the client application will send in exchange for buy_asset. Will not be used in conjunction with buy_amount.

buy_amount
string

The amount of buy_asset the anchor will send in exchange for sell_asset. Will not be used in conjunction with sell_amount.

country_code
string

The ISO 3166-1 alpha-2 code of the user's current address. Anchors should expect this parameter to be provided if one of the assets of the buy/sell pair is fiat and it is available in two or more countries.

expire_after
string

The client's desired expires_at date and time for the quote that can be used if this is a firm quote. This should be a UTC ISO 8601 string. Anchors should return 400 Bad Request if an expiration date on or after the requested value cannot be provided.

sell_delivery_method
string

The method the client or user will use to deliver sell_asset to the Anchor. This value may affect the expiration and price provided. The values used for this parameter is defined in the application's configuration. Will not be used in conjunction with buy_delivery_method.

buy_delivery_method
string

The method the client or user wants used to receive buy_asset from the Anchor. This value may affect the expiration and price provided. The values used for this parameter is defined in the application's configuration. Will not be used in conjunction with sell_delivery_method.

Response

Success.

rate
object